Package org.drinkless.tdlib

# Class TdApi.Error

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Error

Enclosing class:
  `TdApi`

public static class TdApi.Error extends TdApi.Object
An object of this type can be returned on every function call, in case of an error.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `code`
  Error code; subject to future changes.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `message`
  Error message; subject to future changes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Error()`
  An object of this type can be returned on every function call, in case of an error.
  `Error(int code, String message)`
  An object of this type can be returned on every function call, in case of an error.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### code

    public int code
    Error code; subject to future changes. If the error code is 406, the error message must not be processed in any way and must not be displayed to the user.

  - ### message

    public String message
    Error message; subject to future changes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Error

    public Error()
    An object of this type can be returned on every function call, in case of an error.

  - ### Error

    public Error(int code, String message)
    An object of this type can be returned on every function call, in case of an error.
    Parameters:
      `code` - Error code; subject to future changes. If the error code is 406, the error message must not be processed in any way and must not be displayed to the user.
      `message` - Error message; subject to future changes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR